Loading...
Searching...
No Matches
XQMol.h File Reference
`#include <RDGeneral/export.h>`
`#include <variant>`
`#include <memory>`
`#include <string>`
`#include <vector>`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <boost/core/noncopyable.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/MolOps.h>`
`#include <GraphMol/MolBundle.h>`
`#include <GraphMol/TautomerQuery/TautomerQuery.h>`
`#include <GraphMol/Substruct/SubstructMatch.h>`

Go to the source code of this file.

## Classes

struct | RDKit::GeneralizedSubstruct::ExtendedQueryMol

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::GeneralizedSubstruct

## Functions

RDKIT_GENERALIZEDSUBSTRUCT_EXPORT ExtendedQueryMol | RDKit::GeneralizedSubstruct::createExtendedQueryMol (const RWMol &mol, bool doEnumeration=true, bool doTautomers=true, bool adjustQueryProperties=false, MolOps::AdjustQueryParameters params={})
| Creates an ExtendedQueryMol from the input molecule.
RDKIT_GENERALIZEDSUBSTRUCT_EXPORT std::vector< MatchVectType > | RDKit::GeneralizedSubstruct::SubstructMatch (const ROMol &mol, const ExtendedQueryMol &query, const SubstructMatchParameters &params=SubstructMatchParameters())
| does a substructure search with an ExtendedQueryMol
bool | RDKit::GeneralizedSubstruct::hasSubstructMatch (const ROMol &mol, const ExtendedQueryMol &query, const SubstructMatchParameters &params=SubstructMatchParameters())
| checks if a molecule has a match to an ExtendedQueryMol